import request from '@/utils/request'

// 查询企业管理列表
export function listCompany(query) {
    return request({
        url: '/VRdemo/company/list',
        method: 'get',
        params: query
    })
}

// 查询企业管理详细
export function getCompany(companyId) {
    return request({
        url: '/VRdemo/company/' + companyId,
        method: 'get'
    })
}


// 新增企业管理
export function addCompany(data) {
    return request({
        url: '/VRdemo/company',
        method: 'post',
        data: data
    })
}

// 修改企业管理
export function updateCompany(data) {
    return request({
        url: '/VRdemo/company',
        method: 'put',
        data: data
    })
}

// 删除企业管理
export function delCompany(companyId) {
    return request({
        url: '/VRdemo/company/' + companyId,
        method: 'delete'
    })
}

export function updateCompanyMoney(data) {
    return request({
        url: '/VRdemo/company/companyCharge',
        method: 'post',
        data: data
    })
}